- if controller_name != 'sessions'
  = link_to "Log in", new_session_path(resource_name), class: 'btn btn-success btn-xs'
  %br/
  %br/
- if devise_mapping.registerable? && controller_name != 'registrations'
  = link_to "Sign up", new_registration_path(resource_name), class: 'btn btn-info btn-xs'
  %br/
  %br/
- if devise_mapping.recoverable? && controller_name != 'passwords' && controller_name != 'registrations'
  = link_to "Forgot your password?", new_password_path(resource_name), class: 'btn btn-warning btn-xs'
  %br/
  %br/
- if devise_mapping.confirmable? && controller_name != 'confirmations'
  = link_to "Didn't receive confirmation instructions?", new_confirmation_path(resource_name), class: 'btn btn-info btn-xs'
  %br/
  %br/
- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks'
  = link_to "Didn't receive unlock instructions?", new_unlock_path(resource_name), class: 'btn btn-danger btn-xs'
  %br/
  %br/
- if devise_mapping.omniauthable?
  - resource_class.omniauth_providers.each do |provider|
    = link_to "Sign in with #{OmniAuth::Utils.camelize(provider)}", omniauth_authorize_path(resource_name, provider)
    %br/
    %br/
